﻿using System.Web.Http.Controllers;
using System.Web.Http.ModelBinding;

namespace Kreta.Core.ModelBinder
{
    public class StringTrimModelBinder : IModelBinder
    {
        public bool BindModel(HttpActionContext actionContext, ModelBindingContext bindingContext)
        {
            var value = bindingContext.ValueProvider.GetValue(bindingContext.ModelName);
            var attemptedValue = value?.AttemptedValue;

            bindingContext.Model = string.IsNullOrWhiteSpace(attemptedValue) ? null : attemptedValue.Trim();

            return true;
        }
    }
}
